Description

The attached patch adds "Apply issues filter" button to the search. Clicking the button will display issues in the search results on the

issues page. You can further narrow the search results by adding filters on the page.

Redmine's search engine sometimes returns a large number of results. However, unlike the Issues page with its powerful filters, the

search engine does not offer many ways to further refine such results. This new "Apply issues filter" button solves the problem.

"Apply issues filter" will be displayed above the search results when the results include one or more issues. When you click the

button, the issues included in the search results will appear on the Issues page. In other words, it converts the search results into an

Issues list. You can then use issues filters to further narrow down your search results.

By linking the search engine with the issues filter, it will be easier to find the issues you want to see.

1. "Apply issues filter" button is displayed when the search results contain one or more issues.
2. Click the button to display the issues in the search results in the issues list. You can refine the result by adding other filters.
Associated revisions

Revision 22212 - 2023-04-27 06:10 - Go MAEDA

Add a button to apply issues filter to search results (#38481).

Patch by Go MAEDA.

Revision 22213 - 2023-04-27 06:12 - Go MAEDA

Update locales (#38481).

History

#1 - 2023-04-22 08:01 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#2 - 2023-04-27 06:12 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22212.
